Page MenuHomePhabricator

Hovercards: showing blank space instead of image
Closed, ResolvedPublic

Description

Tested on plwiki's linking pages to the article Hydrostatyka with an svg portrait image (link), FF 36.0 (mw.popups.supportsSVG = true). The image is too small to be displayed (230 px), hence an empty <span> tag per mw.popups.createThumbnail. However, the mwe-popups-is-tall class styles are still applied, causing the popup to appear wider:


It gets worse when the triangle isn't flipped horizontally (now lacking the class flipped_X):

Event Timeline

PeterBowman raised the priority of this task from to Needs Triage.
PeterBowman updated the task description. (Show Details)
PeterBowman added a project: Page-Previews.
PeterBowman added a subscriber: PeterBowman.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2015, 7:45 PM

Change 194464 had a related patch set uploaded (by Prtksxna):
renderer.article: Don't apply tall/not-tall classes if the image wasn't shown

https://gerrit.wikimedia.org/r/194464

Prtksxna claimed this task.Mar 5 2015, 7:56 AM

Change 194464 merged by jenkins-bot:
renderer.article: Don't apply tall/not-tall classes if the image wasn't shown

https://gerrit.wikimedia.org/r/194464

Prtksxna closed this task as Resolved.Mar 16 2015, 10:10 AM
Quiddity moved this task from Backlog to Done on the Page-Previews board.Mar 28 2015, 1:15 AM